[openstack-keystone/el6] Used init script from nova-compute as a tempalted, and created the init script for keystone

oneiroi oneiroi at fedoraproject.org
Sat Oct 22 12:26:18 UTC 2011


commit 042646777113a3d461b0b60645ed2fc91c75c4fa
Author: David Busby <oneiroi at fedoraproject.org>
Date:   Sat Oct 22 13:25:41 2011 +0100

    Used init script from nova-compute as a tempalted, and created the init script for keystone

 openstack-keystone.init |   95 +++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 95 insertions(+), 0 deletions(-)
---
diff --git a/openstack-keystone.init b/openstack-keystone.init
new file mode 100644
index 0000000..399617a
--- /dev/null
+++ b/openstack-keystone.init
@@ -0,0 +1,95 @@
+#!/bin/sh
+#
+# keystone  OpenStack Identity Service
+#
+# chkconfig:   - 20 80
+# description: keystone works provide apis to  \
+#		* Authenticate users and provide a token \
+#		* Validate tokens
+### END INIT INFO
+
+. /etc/rc.d/init.d/functions
+
+prog=keystone
+exec="/usr/bin/$prog"
+config="/etc/$prog/$prog.conf"
+pidfile="/var/run/$prog/$prog.pid"
+logfile="/var/log/$prog/$prog.log"
+
+[ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
+
+lockfile=/var/lock/subsys/$prog
+
+start() {
+    [ -x $exec ] || exit 5
+    [ -f $config ] || exit 6
+    echo -n $"Starting $prog: "
+    daemon --user keystone --pidfile $pidfile "$exec --flagfile $config --logfile $logfile &>/dev/null & echo \$! > $pidfile"
+    retval=$?
+    echo
+    [ $retval -eq 0 ] && touch $lockfile
+    return $retval
+}
+
+stop() {
+    echo -n $"Stopping $prog: "
+    killproc -p $pidfile $prog
+    retval=$?
+    echo
+    [ $retval -eq 0 ] && rm -f $lockfile
+    return $retval
+}
+
+restart() {
+    stop
+    start
+}
+
+reload() {
+    restart
+}
+
+force_reload() {
+    restart
+}
+
+rh_status() {
+    status -p $pidfile $prog
+}
+
+rh_status_q() {
+    rh_status >/dev/null 2>&1
+}
+
+
+case "$1" in
+    start)
+        rh_status_q && exit 0
+        $1
+        ;;
+    stop)
+        rh_status_q || exit 0
+        $1
+        ;;
+    restart)
+        $1
+        ;;
+    reload)
+        rh_status_q || exit 7
+        $1
+        ;;
+    force-reload)
+        force_reload
+        ;;
+    status)
+        rh_status
+        ;;
+    condrestart|try-restart)
+        rh_status_q || exit 0
+        restart
+        ;;
+    *)
+        echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
+        exit 2
+esac
+exit $?


More information about the scm-commits mailing list